<?
require("../clases/alumno.class.php");

require "PHPMailer.php";
require "SMTP.php";
require "Exception.php";
require "OAuth.php";

define("DIR_UPLOAD","/home/cavunuco/public_html/cav/fotosa");
echo "<link href='../css/css.css' rel='stylesheet' type='text/css'>";
echo "<link href='../css/bootstrap.min.css' rel='stylesheet'>";
echo "<link rel='stylesheet' href='../css2/css.css'>";

$obj = new alumno();
$t = $_REQUEST["text"];

if($t=="R"){
		
		$n = strtoupper($_REQUEST["nombres"]);
		$a = strtoupper($_REQUEST["apellidos"]);
		$d = $_REQUEST["dni"];
		$di = '-';//$_REQUEST["direccion"];
		$te = $_REQUEST["telefono"];
		$dia = $_REQUEST["txtFechanac"];//."-".$_REQUEST["mes"]."-".$_REQUEST["anio"];
		//$f = $_REQUEST["fechanaci"];
		$e = $_REQUEST["email"];
		$es = $_REQUEST["especialidad"];
		/////////////////////para subir el archivo//////////////////////////////	    		
		$vnomfile = "student.png";
	if($obj->BuscarPorNombre($e))
	{
	   echo "<script languaje=javascript>\n"; 
	   echo "alert('Este correo ya existe');location.href ='../registro.php';";					
	   echo "</script>";
	}else{
		
			if($obj->Crear($n,$a,md5($d),$di,$te,$dia,$e,$es,$vnomfile)){
				/*////////////////////////////////////////////////////////////////
				$mail = new PHPMailer\PHPMailer\PHPMailer();		
				$mail->isSMTP();		
				$mail->SMTPDebug=2;
				$mail->Host = 'smtp.gmail.com';
				$mail->Port = 587; 
				$mail->SMTPSecure = 'tls';   
				$mail->SMTPAuth = true;
				$mail->SMTPOptions = array(
										  'ssl' => array(
											  'verify_peer' => false,
											  'verify_peer_name' => false,
											  'allow_self_signed' => true
										  )
									  );
				$mail->Username = "comunidad.academica.virtual@gmail.com";
				$mail->Password = 'cav2020*+';
				$mail->setFrom("comunidad.academica.virtual@gmail.com", "CAV");
				$mail->addAddress($e,"Saludos de CAV!!");  
				$mail->Subject = "Datos de Cuenta CAV";
				$mail->Body = "Tus datos de tu cuenta son: Usuario: ".$e." y Password: ".$d." <a href='http://cavunu.com/cav'>IR A CAV</a>";
				$mail->isHTML(true);
				echo "<div class='container'>";
				if(!$mail->send()) {
						echo '<p style="color:red">No se pudo enviar el mensaje a su correo..';
						echo 'Error de correo: ' . $mail->ErrorInfo."</p>";
					} else {
						echo '<p style="color:green">Se ha enviado un mensaje a tu correo con los datos de tu cuenta, para que lo tengas guardadito</p>';
					}
			///////////////////////////////////////////////////////////*/
				echo "<div class='container'>";
				echo "<br><br><br><br>";
				echo "<center>";
				echo "<font face=verdana size=2 color=#006699>SE HA REGISTRADO CORRECTAMENTE</font><br>";
				echo "<a href='../index.html' class='btn btn-success'>Registrar nuevo / Iniciar session</a><br>";
				echo "<code>TU CUENTA DE INICIO DE SESION ES:<br>";
				echo $e." ,SEGUIDO DE SU PASSWORD</code>";
				echo "</center>";
				echo "</div>";
			}else{
				   echo "no pasa nada";
				 }
	     }
}

if($t=="RE")
	 {
	   $idalu = $_REQUEST['idalu'];
	   $clave = "1234";
	   if($obj->ActualizarClave($idalu,md5($clave)))
	   //if($Objusu->ActualizarClave($idu,md5($clave)))
	   {
	      echo "<script languaje=javascript>\n"; 
	 	  echo "alert('CLAVE ACTUALIZADA');location.href ='../manalumno.php';";					
	 	  echo "</script>";
	   }
	 }
	 
if($t=="AC")
	 {
	   $idalu = $_REQUEST['idalu'];
	   $clavea = $_REQUEST['claveactual'];
	   $claven = $_REQUEST['clavenueva'];
		if($obj->validaClave($idalu,md5($clavea)))
		{
		   $e=$obj->getEmail();
		  /*////////////////////////////////////////////////////////////////
			$mail = new PHPMailer\PHPMailer\PHPMailer();		
			$mail->isSMTP();		
			$mail->SMTPDebug=2;
			$mail->Host = 'smtp.gmail.com';
			$mail->Port = 587; 
			$mail->SMTPSecure = 'tls';   
			$mail->SMTPAuth = true;
			$mail->SMTPOptions = array(
										  'ssl' => array(
											  'verify_peer' => false,
											  'verify_peer_name' => false,
											  'allow_self_signed' => true
										  )
									  );
			$mail->Username = "comunidad.academica.virtual@gmail.com";
			$mail->Password = 'cav2020*+';
			$mail->setFrom("comunidad.academica.virtual@gmail.com", "CAV");
			$mail->addAddress($e,"Saludos de CAV!!");  
			$mail->Subject = "Datos de Cuenta CAV";
			$mail->Body = "Tus datos de tu cuenta son: Usuario: ".$e." y Password: ".$claven." <a href='http://cavunu.com/cav'>IR A CAV</a>";
			$mail->isHTML(true);
			echo "<div class='container'>";
			if(!$mail->send()) {
					echo '<p style="color:red">No se pudo enviar el mensaje a su correo..';
					echo 'Error de correo: ' . $mail->ErrorInfo."</p>";
				} else {
					echo '<p style="color:green">Se ha enviado un mensaje a tu correo con los datos de tu cuenta, para que lo tengas guardadito</p>';
				}
		///////////////////////////////////////////////////////////*/
		   if($obj->ActualizarClave($idalu,md5($claven)))
		   //if($Objusu->ActualizarClave($idu,md5($clave)))
		   {
			  echo "<script languaje=javascript>\n"; 
			  echo "alert('PASSWORD ACTUALIZADO, VUELVA A INICIAR SESION');location.href ='../session_invalida.php';";					
			  echo "</script>";
		   }
		 }else{
		 		 echo "<script languaje=javascript>\n"; 
			  	echo "alert('AL PARECER NO HA INGRESADO CORRECTAMENTE EL PASSWORD ACTUAL');location.href ='../alumno.php';";					
			  	echo "</script>";
		      }
	 }

if($t=="e"){

 $cod = $_REQUEST["id"];
   if($obj->Eliminar($cod)){
   
       echo "<script languaje=javascript>\n"; 
	 	echo "location.href ='manalumno.php';";					
	 	echo "</script>";		
   }
   else
   {
    echo "no pasa nada";
	}

}

if($t=="M"){
		$cod = $_REQUEST["idalu"];
		$n = strtoupper($_REQUEST["nombres"]);
		$a = strtoupper($_REQUEST["apellidos"]);
		$d = $_REQUEST["dni"];
		$di = $_REQUEST["direccion"];
		$te = $_REQUEST["telefono"];
		$f = $_REQUEST["fechanaci"];
		$e = $_REQUEST["email"];
		$es = $_REQUEST["especialidad"];
		/////////////////////para subir el archivo//////////////////////////////
			$vtempfile	= $_FILES['file']['tmp_name'];//ubicacion temporal del archivo subido
			$vnomfile	= trim($_FILES['file']['name']);//nombre del archivo(segun tipo)
			$vnomfile	= substr($vnomfile,-30);//sustraigo los 20 ulimos caracteres
			$vtamaño	= $_FILES['foto']['size'];
			$vtipo		= $_FILES['file']['type'];
			//$vnomfile	= ereg_replace(" ","",$vnomfile);//elimino los espacios en blanco del nombre del archivo	
		
			if($vnomfile!="")//verifica haya sido cargado el archivo y es del tipo aceptado  	
			{
			  if (!((strpos($vtipo, "gif") || strpos($vtipo, "png") || strpos($vtipo, "jpeg")) && ($vtamaño < 1000000))) 
				{ 
			
					echo "<b>Error: La foto no cumple con las caracterizticas requeridas<b>"; 		
					exit();			
				
				}else{	
						if(is_uploaded_file($vtempfile))
							{ if(!move_uploaded_file($vtempfile,DIR_UPLOAD."/".$vnomfile))
								 {
									echo "no se puede subir";
									exit;
								}
							}
							else
								{
								echo $_FILES['file']['name'];
								exit;
								}
					}	
			//echo "ha subido";			
			}else{ $vnomfile = NULL; }	
		/////////////////////////////////////////////////////////////////
		if($vnomfile!="")//verifica haya sido cargado el archivo y es del tipo aceptado  	
			{
			if($obj->Actualizarconfoto($cod,$n,$a,md5($d),$di,$te,$f,$e,$es,$vnomfile)){
				echo "se a guardado<br>";
				echo "<a href='manalumno.php'>Registrar nuevo</a>";

					/*echo "<script languaje=javascript>\n"; 
	 				echo "location.href ='manautor.php';";					
	 				echo "</script>"; 
					*/		
			}else{
		       		echo "no se actualizo";
		     	}
		}else{
				if($obj->Actualizar($cod,$n,$a,md5($d),$di,$te,$f,$e,$es)){
					echo "se a guardado<br>";
					echo "<a href='manalumno.php'>Registrar nuevo</a>";

					/*echo "<script languaje=javascript>\n"; 
	 				echo "location.href ='manautor.php';";					
	 				echo "</script>"; 
					*/		
				}else{
		       			echo "no se actualizo";
		     			}
		     }
}

/////////////
if($t=="A"){
		$cod = $_REQUEST["idalu"];
		$n = strtoupper($_REQUEST["nombres"]);
		$a = strtoupper($_REQUEST["apellidos"]);
		//$d = $_REQUEST["dni"];
		$di = "-";//$_REQUEST["direccion"];
		$te = $_REQUEST["telefono"];
		$f = $_REQUEST["fechanaci"];
		//$e = $_REQUEST["email"];
		$es = $_REQUEST["especialidad"];
		/////////////////////para subir el archivo//////////////////////////////
			$vtempfile	= $_FILES['file']['tmp_name'];//ubicacion temporal del archivo subido
		    $vnomfile	= trim($_FILES['file']['name']);//nombre del archivo(segun tipo)
			$vnomfile	= substr($vnomfile,-30);//sustraigo los 20 ulimos caracteres
			$vtamaño	= $_FILES['foto']['size'];
			$vtipo		= $_FILES['file']['type'];
		//	$vnomfile	= ereg_replace(" ","",$vnomfile);//elimino los espacios en blanco del nombre del archivo	
	
			if($vnomfile!="")//verifica haya sido cargado el archivo y es del tipo aceptado  	
			{
			 if (!((strpos($vtipo, "gif") || strpos($vtipo, "png") || strpos($vtipo, "jpeg")) && ($vtamaño < 1000000))) 
				{ 
			
					echo "<b>Error: La foto no cumple con las caracterizticas requeridas<b>"; 		
					exit();			
				
				}else{	
						if(is_uploaded_file($vtempfile))
							{ if(!move_uploaded_file($vtempfile,DIR_UPLOAD."/".$vnomfile))
								 {
									echo "no se puede subir";
									exit;
								}
							}
							else
								{
								echo $_FILES['file']['name'];
								exit;
								}	
					}
			//echo "ha subido";			
			}else{ $vnomfile = NULL; }	
		/////////////////////////////////////////////////////////////////	
		
		if($vnomfile!="")
		{
			  if($obj->Actualizarconfoto($cod,$n,$a,$di,$te,$f,$es,$vnomfile)){
			      
						echo "<script languaje=javascript>\n";
						   echo "alert('LOS DATOS SE HAN ACTUALIZADO CORRECTAMENTE!!!');location.href ='../alumno.php';";
						   echo "</script>";
									
			  }else{
					 echo "no se actualizo";
				   }		
		}else{	
				if($obj->Actualizar($cod,$n,$a,$di,$te,$f,$es)){
					   echo "<script languaje=javascript>\n";
					   echo "alert('LOS DATOS SE HAN ACTUALIZADO CORRECTAMENTE!!!');location.href ='../alumno.php';";
					   echo "</script>";
								
				}else{
						echo "no se actualizo";
					 }
		
		     }
}



?>
